/** /Routing
 *
 * @author Alex Malotky
 */
import Context from "../Context";
import Router from "./Router";
/** Handler Type
 *
 */
export type Handler = (context: Context) => Promise<void> | void;
/** Routing Class
 *
 * Top Level Wrapper around Router class that
 * handles errors.
 */
export default class Routing extends Router {
    /** Routing Constructor
     *
     */
    constructor();
    /** Routing Handler Wrappper
     *
     *
     * @param {Context} context
     * @returns {Promise<Response>}
     */
    route(context: Context): Promise<Response | undefined>;
    /** Handle Routing Override
     *
     * @param {Context} context
     * @returns {Promise<void>}
     */
    handle(context: Context): Promise<void>;
}
