"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmail = exports.formatEmail = void 0;
/** /Validation/Types/Email
 *
 * @author Alex Malotky
 */
//Source: https://emailregex.com/
const EMAIL_REGEX = /^[a-zA-Z0-9.!#$%&’*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
/** Format Email
 *
 * Used to format / sanitize email input.
 *
 * @param {unknown} value
 * @returns {Email}
 */
function formatEmail(value) {
    if (typeof value !== "string")
        throw new TypeError("Email must be stored in a string!");
    const format = value.toLocaleLowerCase();
    if (format.match(EMAIL_REGEX) === null)
        throw new TypeError("Email is not formated correctly!");
    return format;
}
exports.formatEmail = formatEmail;
/** Is Email
 *
 * @param {unknown} value
 * @returns {boolean}
 */
function isEmail(value) {
    try {
        formatEmail(value);
    }
    catch (e) {
        return false;
    }
    return true;
}
exports.isEmail = isEmail;
