"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationError = exports.TypeValidator = void 0;
/** Type Validator Abstract Class
 *
 */
class TypeValidator {
    constructor(name, format) {
        this._type = null;
        this._name = name;
        this._format = format;
    }
    get name() {
        return this._name;
    }
    run(value) {
        try {
            return this._format(value);
        }
        catch (e) {
            throw new ValidationError(this._name, e.message || String(e));
        }
    }
    simplify(value) {
        //@ts-ignore
        return value;
    }
    ;
}
exports.TypeValidator = TypeValidator;
class ValidationError extends Error {
    constructor(name, message) {
        super(`${name} Validation Error: ${message}`);
    }
}
exports.ValidationError = ValidationError;
